Bug 1377199 - RFE: remove-brick status [failed|skipped]
Summary: RFE: remove-brick status [failed|skipped]
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: distribute
Version: 3.7.9
Hardware: Unspecified
OS: All
unspecified
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-19 07:37 UTC by Milan Zink
Modified: 2017-03-08 10:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 10:58:26 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Milan Zink 2016-09-19 07:37:38 UTC
Description of problem:

[RFE] Please add a new sub-command to 'gluster volume remove-brick <vol> <peer>:<brick> status [failed|skipped]'.

This command will list failed or skipped entries if any. I think this will be useful. Now, the only way to find problematic files is search in logs.

Comment 1 Atin Mukherjee 2016-09-19 08:13:00 UTC
Nithya - can you weigh in this request with your thoughts?

Comment 2 Nithya Balachandran 2016-10-24 09:34:44 UTC
Would writing these entries to a separate file be acceptable? The command if added later could simply parse these files and display the entries.

Comment 3 Kaushal 2017-03-08 10:58:26 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.


Note You need to log in before you can comment on or make changes to this bug.